import 'virtual:windi-base.css'
import 'virtual:windi-components.css'
// 你自定义的 css
import './styles/main.css'
import 'element-plus/theme-chalk/dark/css-vars.css'//所有element控件的暗黑模式
import 'virtual:windi-utilities.css'
import 'virtual:windi-devtools'

import App from './App.vue'
//图标及全局注册
import * as ElementPlusIconsVue from '@element-plus/icons-vue' 
const app = createApp(App)
for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
  app.component(key, component)
}

app.mount('#app')
